openHAB Milestone builds

My List is the same like your list
And now??

I’m sure there are something some where that has not been cleaned up.

Did you try to clear your cache?

I made a script to make it easy here: My point of view of Openhab2, stability and a few good to know stuff

Have you checked in
userdata/config/org/openhab/addons.config ?

My Cache is clear

Ok, could you post the content of the 3 files: ?

/var/lib/openhab2/config/org/openhab/addons.config
/etc/openhab2/services/runtime.cfg
/etc/openhab2/services/addons.cfg

I had also installed the rest docs via paperui and had the same error message. You need to edit userdata/config/org/openhab/addons.config, as others have said, and remove restdocs from the misc=-line.
Then you can reinstall it through paperui.

Hi :slight_smile:

I made a sum up of my findings here: My point of view of Openhab2, stability and a few good to know stuff

Thank you first for your help. But after my system had crashed completely, I have to set it up anew.
Here is a question:
Can I restore the backup from 2.5M1 to M2?
If not, where can I get the M1 version to import the backup?
Many thanks

Hi @ollis112

You are welcome. Happy to help :slight_smile:

You should be able to download 2.5M1 at the old repo by hand here: https://dl.bintray.com/openhab/apt-repo2/pool/main/2.5.0~M1/

1 Like

OK, it will be installed this evening. Thank you

Hi,

installed 2.5M2 yesterday and after some initial difficulties it now runs smooth. I had to restart openHAB several times before most of the exceptions in the log disappeared. I have two remaining issues, maybe it is useful for someone else:

  1. To resolve exceptions by the org.openhab.core.ephemeris binding (still have to check out, what this is for) could only be resolved by creating services/ephemeris.cfg, as stated somewhere else on this forum :
dayset-school=Monday,Tuesday,Wednesday,Thursday,Friday
dayset-weekend=Saturday,Sunday
region=nw

Setting these parameters in PaperUI was not enough, but I prefer config files anyway. I could not find any documentation regarding valid region codes, so I am not really sure, what I configured :wink:

  1. The KNX2 binding throws the following exception on every start, but it seems to work OK anyhow:
2019-08-12 00:41:25.572 [WARN ] [mmon.WrappedScheduledExecutorService] - Scheduled runnable ended with an exception: 
java.lang.NullPointerException: null
	at org.openhab.binding.knx.internal.client.AbstractKNXClient.readNextQueuedDatapoint(AbstractKNXClient.java:283) ~[?:?]
	at org.openhab.binding.knx.internal.client.AbstractKNXClient.lambda$1(AbstractKNXClient.java:199) ~[?:?]
	at java.util.concurrent.Executors$RunnableAdapter.call(Executors.java:511) ~[?:?]
	at java.util.concurrent.FutureTask.runAndReset(FutureTask.java:308) ~[?:?]
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.access$301(ScheduledThreadPoolExecutor.java:180) ~[?:?]
	at java.util.concurrent.ScheduledThreadPoolExecutor$ScheduledFutureTask.run(ScheduledThreadPoolExecutor.java:294) ~[?:?]
	at java.util.concurrent.ThreadPoolExecutor.runWorker(ThreadPoolExecutor.java:1149) [?:?]
	at java.util.concurrent.ThreadPoolExecutor$Worker.run(ThreadPoolExecutor.java:624) [?:?]
	at java.lang.Thread.run(Thread.java:748) [?:?]

Juelicher

2 Likes

Hi,

after upgrading my Docker Installation I get the tollowing error in my Docker Terminal:

Launching the openHAB runtime...
Error installing bundle listed in startup.properties with url: mvn:org.apache.karaf.features/org.apache.karaf.features.extension/4.2.2 and startlevel: 1

After a complete deletion of all configs, 2.5.0.M2 won’t start either …

Kind regards

Niklas


Edit: Looks like the Docker container are still referencing to the startup.properties of 2.5.0.M1

After the start of the container my startup.properties is overwritten by 2.5.0.M1 file …


Edit2:
After a recreation of the container from scratch, everything works as expected.

I just did M2 upgrade today. Initially I had constant warnings about items not existing (even though they did). Clean-cache / reboots didn’t help. Ended up doing an uninstall and reinstall. (not purge - I kept my config files and everything else untouched)

After the reinstall everything started up correctly.

With a cleared cache, 2.5M2 logs a bunch of errors and usually warnings about missing Items. The cache should be cleared in the upgrade, so this happens on first start. After a few minutes and the logs are calm, restart OH again and the errors will be gone.

So, after clearing the cache, restart twice. I thought there was an issue for this already in GH (I can’t search for it ATM), but there may not be.

1 Like

4 posts were split to a new topic: Looking for 2.5M1

I just upgraded from 2.5 M1, and I am now having trouble with my embeded MQTT broker. I’m using the MQTT binding and the internal MQTT broker. My MQTT broker Thing now shows up as offline. I see that the name has changed on the broker since the upgrade. Screenshot%202019-08-24%2008%3A52%3A35

I have deleted my MQTT broker as a thing, reinstalled the broker but then nothing appears in my inbox anymore. Is this a known issue? Or have I just missed something here? I’m leaning toward the latter.

Had the same problem. You have to delete the mqttembedded.bin file before every start of openhab.

Just went through a M1 to M2 upgrade (docker installation)I get warnings in the logs about

[ERROR] [core.karaf.internal.FeatureInstaller] - Failed installing 'openhab-misc-restdocs'

Rest Doc was the only “binding” I had to do manually after the update, and it seems fine after that. How do I disable the error warnings?

restdocs is no longer under the ‘misc’ section it is under the ‘UI’ section; check out your addons.cfg file as that is probably the issue.

Do you mean under addons.config, in the userdata folder?
Just delete this entry?
"misc=“restdocs”

there are no added entries in my addons.cfg except whatever is default